### Method

# Foundry TextDocument diagnose

#### Declaration [src]

    DexFuture*
    foundry_text_document_diagnose (
      FoundryTextDocument* self
    )

#### Description [src]

Queries `FoundryDiagnosticProvider` for diagnostics that are relevant to the document.

This does a single-shot run of diagnostics.

To monitor diagnostics for changes, use `foundry_text_document_watch_diagnostics()` which will update as the document changes.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryDiagnostic`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.